<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getUnlockCost](./bitburner.corporation.getunlockcost.md)

## Corporation.getUnlockCost() method

Get the cost to unlock a one-time unlockable upgrade.

**Signature:**

```typescript
getUnlockCost(upgradeName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgradeName | string | Name of the upgrade |

**Returns:**

number

Cost of the upgrade

## Remarks

RAM cost: 10 GB

